# PyElectroSim - Simulações Eletromagnéticas com Pygame

## Descrição

O PyElectroSim é um pacote Python de código aberto que possibilita a criação de simulações interativas de cargas elétricas utilizando a biblioteca Pygame. O projeto foi idealizado com o objetivo de fornecer uma ferramenta acessível para estudantes do ensino médio e entusiastas da física explorarem conceitos de eletrostática e eletrodinâmica de maneira prática e visual.

## Principais Recursos

- Cargas Elétricas: O PyElectroSim permite adicionar cargas elétricas positivas e negativas em uma região de simulação. As cargas podem ser colocadas em posições específicas e ter intensidades configuráveis.
- Ajuste de Parâmetros: O PyElectroSim oferece controles para ajustar parâmetros como a posição da carga na simulação dentro de uma plano, o tamanho do raio da esfera que representa a carga no sistema, a intensidade da carga e a sua natureza elétrica (positiva ou negativa), permitindo a customização das simulações.

## Instalação

Para utilizar o PyElectroSim, é necessário ter o Python instalado em seu sistema. Em seguida, você pode instalar o pacote através do gerenciador de pacotes pip:

```
pip install PyElectroSim
```

## Contribuição

O PyElectroSim é um projeto de código aberto e encorajamos contribuições da comunidade. Se você deseja participar do desenvolvimento, reportar problemas ou sugerir melhorias, sinta-se à vontade para abrir um issue ou enviar um pull request.

## Licença

Este projeto é licenciado sob a MIT License. Sinta-se livre para usar, modificar e distribuir conforme os termos da licença.

## Contato

Você pode entrar em contato com a equipe do PyElectroSim enviando um e-mail para robsonjuniorrj4@gmail.com. Sua opinião e feedback são muito importantes para nós!

Aviso: Este projeto é puramente educacional e não deve ser utilizado para fins de análise eletromagnética em ambientes reais.